Bug 112312 - Network driver bcm5700 does not start under kenel 2.4.9-e.30smp
Network driver bcm5700 does not start under kenel 2.4.9-e.30smp
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 12:19 EST by Scott Weathers
Modified: 2013-07-02 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 13:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Weathers 2003-12-17 12:19:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Network driver bcm5700 does not start under kenel 2.4.9-e.30smp; 
however, when I boot under kenel 2.4.9-e.3smp the network starts.

Version-Release number of selected component (if applicable):
kennel-2.4.9-e.30smp

How reproducible:
Always

Steps to Reproduce:
1. cd /lib/modules/2.4.9-e.30smp/kernel/drivers/addon/bcm5700
2. /sbin/insmod bcm5700
3.
    

Actual Results:  bcm5700: init_module: No Such device

Expected Results:  Network should start

Additional info:

Network starts when I boot under kernel 2.4.9-e.3smp or run the below 
steps

1. cd /lib/modules/2.4.9-e.3smp/kernel/drivers/addon/bcm5700
2. /sbin/insmod bcm5700
Comment 1 Arjan van de Ven 2003-12-17 12:35:28 EST
did you install 2.4.9-e.3smp yourself or did it come preloaded ?
Also we recommend using tg3 always.
Comment 2 Scott Weathers 2003-12-17 15:49:22 EST
We installed it from the disk provied with our server.

I think someone from tech support told us to use bcm5700 in place of 
the tg3.  Is this not correct?

Can I just replace bcm5700 entry in modules.conf with tg3? How can I 
make usre tg3 driver is installed, and what if it's not?
Comment 3 Arjan van de Ven 2003-12-17 15:54:25 EST
we haven't changed bcm5700 so I'm really surprised it stopped working.
But the included tg3 driver (indeed just change modules.conf) is a LOT
better nowadays
Comment 4 Scott Weathers 2003-12-17 16:02:40 EST
I will switch it to tg3, but I don't see the tg3.o in the 2.4.9-
e.30smp kernel directory.  How can I install the driver?

Only in:
/lib/modules/2.4.9-e.3smp/kernel/drivers/net/tg3.o
/lib/modules/2.4.9-e.3/kernel/drivers/net/tg3.o
/lib/modules/2.4.9-e.27/kernel/drivers/net/tg3.o
/lib/modules/2.4.9-e.27smp/kernel/drivers/net/tg3.o
Comment 5 Jeff Garzik 2004-01-12 13:46:05 EST
It may be in drivers/addon.  In any case, the solution is to switch to
tg3.

Note You need to log in before you can comment on or make changes to this bug.